Bug 849928 - Display broken after kernel upgrade
Display broken after kernel upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 05:12 EDT by Amitakhya Phukan
Modified: 2013-07-31 13:50 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:50:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amitakhya Phukan 2012-08-21 05:12:51 EDT
Description of problem:
After recent Fedora 17 updates, the dual screen resolution is no longer proper. I can't find the supported 1600X900 resolution and Display settings doesn't show any resolution higher than 1024X1280. Kernel 3.4.6 was properly picking up the external monitor and 1600X900 resolution

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Resolution is not more than 1024X1280 for external monitor.

Expected results:
Resolution should be 1600X900 and external monitor should be detected.

Additional info:
Comment 1 Josh Boyer 2012-08-21 10:24:30 EDT
What graphics card and driver are you using?
Comment 2 Amitakhya Phukan 2012-08-22 02:07:05 EDT
Hi,

Are you asking for the below mentioned outputs ?


$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

$ rpm -qa | grep intel
xorg-x11-drv-intel-2.20.1-1.fc17.x86_64
xorg-x11-drv-intel-2.20.1-1.fc17.i686

List of xorg packages installed in my system
=============================================

$ rpm -qa | grep xorg
xorg-x11-apps-7.6-5.fc17.x86_64
xorg-x11-drv-sis-0.10.4-1.fc17.x86_64
xorg-x11-drv-i740-1.3.2-16.fc17.x86_64
xorg-x11-drv-mga-1.4.13-19.20120104git9223c44a7.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64
xorg-x11-drv-ast-0.93.9-6.fc17.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-5.fc17.noarch
xorg-x11-drv-rendition-4.2.4-14.fc17.x86_64
xorg-x11-server-common-1.12.2-4.fc17.x86_64
xorg-x11-font-utils-7.5-7.fc17.x86_64
xorg-x11-resutils-7.5-3.fc17.x86_64
xorg-x11-drv-dummy-0.3.5-4.fc17.x86_64
xorg-x11-utils-7.5-6.fc17.x86_64
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
xorg-x11-drv-r128-6.8.2-1.fc17.x86_64
xorg-x11-drivers-7.4-8.fc17.x86_64
xorg-x11-proto-devel-7.6-21.fc17.noarch
xorg-x11-server-Xorg-1.12.2-4.fc17.x86_64
xorg-x11-drv-void-1.4.0-8.fc17.x86_64
xorg-x11-drv-i128-1.3.5-1.fc17.x86_64
xorg-x11-drv-vesa-2.3.1-1.fc17.x86_64
xorg-x11-drv-mach64-6.9.1-1.fc17.x86_64
xorg-x11-drv-siliconmotion-1.7.5-9.fc17.x86_64
xorg-x11-fonts-misc-7.5-5.fc17.noarch
xorg-x11-drv-tdfx-1.4.3-18.20120104gitfe60f0ed2.fc17.x86_64
xorg-x11-drv-qxl-0.0.22-0.fc17.x86_64
xorg-x11-server-utils-7.5-12.fc17.x86_64
xorg-x11-fonts-Type1-7.5-5.fc17.noarch
xorg-x11-drv-vmmouse-12.8.0-1.fc17.x86_64
xorg-x11-drv-fbdev-0.4.2-8.fc17.x86_64
xorg-x11-drv-modesetting-0.4.0-1.fc17.x86_64
xorg-x11-xkb-utils-7.5-6.fc17.x86_64
xorg-x11-drv-apm-1.2.3-15.fc17.x86_64
xorg-x11-drv-intel-2.20.1-1.fc17.x86_64
xorg-x11-drv-evdev-2.7.0-2.fc17.x86_64
xorg-x11-drv-trident-1.3.4-14.fc17.x86_64
xorg-x11-drv-s3virge-1.10.4-15.fc17.x86_64
xorg-x11-drv-v4l-0.2.0-20.fc17.x86_64
xorg-x11-drv-savage-2.3.4-1.fc17.x86_64
xorg-x11-drv-sisusb-0.9.4-13.fc17.x86_64
xorg-x11-drv-vmware-12.0.2-1.fc17.x86_64
xorg-x11-xinit-1.3.2-5.fc17.x86_64
xorg-x11-drv-openchrome-0.2.906-1.fc17.x86_64
xorg-x11-drv-glint-1.2.7-1.fc17.x86_64
xorg-x11-server-Xephyr-1.12.2-4.fc17.x86_64
xorg-x11-drv-voodoo-1.2.4-14.fc17.x86_64
xorg-x11-drv-synaptics-1.6.2-1.fc17.x86_64
xorg-x11-drv-wacom-0.14.0-2.fc17.x86_64
xorg-x11-drv-mouse-1.7.2-1.fc17.x86_64
xorg-x11-xdm-1.1.11-2.fc17.x86_64
xorg-x11-drv-intel-2.20.1-1.fc17.i686
xorg-x11-drv-nv-2.1.18-15.fc17.x86_64
xorg-x11-drv-keyboard-1.6.1-4.fc17.x86_64
xorg-x11-xauth-1.0.7-1.fc17.x86_64
xorg-x11-drv-cirrus-1.3.2-19.fc17.x86_64





Kind regards,
Amit.
Comment 3 Josh Boyer 2012-08-22 09:34:18 EDT
Close enough.  I'm also assuming you have issues with the latest 3.5 kernel in F17 since you didn't really say.
Comment 4 Amitakhya Phukan 2012-08-22 15:07:19 EDT
Hi Josh,

Apart from the current one regarding dual monitor display, I am not having much issues or something that is affecting my work directly. Is there any fix for this issue ? Please advise.

Kind regards,
Amit.
Comment 5 Oskar Berggren 2012-08-29 16:20:42 EDT
Possibly related to bug #834770.
Comment 6 Oskar Berggren 2012-08-29 16:35:45 EDT
I'm experiencing what appears to be the same problem after I very recently updated from Fedora 16 to 17. Monitor is capable of 1600x1200, but I don't get more than 1024x768.

Graphics is:
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Display is Samsung Syncmaster 204B.

I normally connect the monitor through a KVM switch. This has always worked in the past.

Behavior with different versions:
Before upgrade, Fedora 16 (can't remember kernel version) gives 1600x1200.
After upgrade, Fedora 17 (3.5.2-3.fc17.x86_64) is limited to 1024x768.
However, Fedora 17 Live CD (3.3.4-5.fc17.x86_64.) correctly gives 1600x1200.
Also, if a remove the KVM switch, even the installed Fedora 17 gives the higher resolution.

Other computer with ubuntu (kernel 3.2, nvidia) correctly shows 1600x1200, even with the KVM switch connected.


When it doesn't work, xrandr shows a very limited set of resolutions. Also, there is no mention of EDID in Xorg.0.log. In the cases where it does work, the xorg log mentions the name of my monitor, shows an EDID block, and lists the "DDC gathered modelines".
Comment 7 Amitakhya Phukan 2012-08-30 13:22:24 EDT
I originally it was issue with only one of the latest kernels. But even after regularly doing update and two new kernel versions getting installed, the issue still remains.
Comment 8 Oskar Berggren 2012-08-30 14:58:39 EDT
I can confirm that the following two kernels work for me:
kernel-3.4.6-2.fc17.x86_64 (last 3.4 for Fedora 17)
kernel-3.4.9-1.fc16.x86_64

However, from the first 3.5 kernel (kernel-3.5.0-2.fc17.x86_64) and forward, it fails to read EDID.
Comment 9 Amitakhya Phukan 2012-10-03 03:53:07 EDT
Anyone looking into this issue ? Or is it solved somewhere else ? What is the fix ?
Comment 10 warren 2013-03-15 02:11:04 EDT
I'm also having a similar problem with the same chip:

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

The maximum display resolution is no longer available as an option in the last 2 centos 6 kernel updates:

kernel-2.6.32-358.0.1.el6.x86_64
kernel-2.6.32-358.2.1.el6.x86_64

This is the last kernel the display works properly with:

kernel-2.6.32-279.22.1.el6.x86_64
Comment 11 Fedora End Of Life 2013-07-03 15:25:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 13:50:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.